#!/bin/bash

source ../bash_utils/helpers.sh

if [ $# -lt 1 ]; then
    echo "Usage: $0 <ifs-bundle-dir> "
    exit 1
fi

IFS_BUNDLE_DIR=$1
FNAME="${IFS_BUNDLE_DIR}.version"
CMP_LIST="ecbuild eccodes bufrdc_tables bufrdc_emoslib eckit fckit metkit fdb5 fiat ectrans atlas mir atlas-orca multio fesom ifs-source nemovar raps"

info "Checking components version for $IFS_BUNDLE_DIR ..."
cat "Checking components version for $IFS_BUNDLE_DIR ..." &> $FNAME
for COMPONENT in $CMP_LIST
do
    DIR=${IFS_BUNDLE_DIR}/source/$COMPONENT
    REPO_REMOTE=$(git -C $DIR config --get remote.origin.url)
    REPO_HASH=$(git -C $DIR rev-parse --short HEAD)
    REPO_BRANCH=$(git -C $DIR rev-parse --abbrev-ref HEAD)
    echo "$COMPONENT pointing $REPO_REMOTE @ $REPO_BRANCH - $REPO_HASH"
    cat "$COMPONENT pointing $REPO_REMOTE @ $REPO_BRANCH - $REPO_HASH" &> $FNAME
done

success "DONE. Results placed at $FNAME"
